SYMLINK(2)

NAME
symlink - make symbolic link to a file

SYNOPSIS
symlink(name1, name2)
char *name1, *name2;

DESCRIPTION
A symbolic link name2 is created to name1 (name2 is the name of the file created, name1 is the string used in creating the symbolic link). Either name may be an arbitrary path name; the files need not be on the same file system.

RETURN VALUE
Upon successful completion, a zero value is returned. If an error occurs, the error code is stored in errno and a -1 value is returned.

ERRORS
The symbolic link is made unless one or more of the following are true:

[EPERM]
    Either name1 or name2 contains a character with the high-order bit set.

[ENOENT]
    One of the pathnames specified was too long.

[ENOTDIR]
    A component of the name2 prefix is not a directory.

[EEXIST]
    Name2 already exists.

[EACCES]
    A component of the name2 path prefix denies search permission.

[EROFS]
    The file name2 would reside on a read-only file system.

[EFAULT]
    Name1 or name2 points outside the process's allocated address space.

[ELOOP]
    Too may symbolic links were encountered in translating the pathname.

[ENOSPC]
    The directory in which the entry for the new symbolic link is being placed cannot be extended because there is no space left on the file system containing the directory.

[ENOSPC]
    The new symbolic link cannot be created because there is no space left on the file system which will contain the link.

[ENOSPC]
    There are no free inodes on the file system on which the symbolic link is being created.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

SEE ALSO
csymlink(2), link(2), ln(1), readclink(2), readlink(2), unlink(2)